{ pkgs, ... }:
{
  programs.gpg = {
    enable = true;
  };

  services.gpg-agent = rec {
    enable = true;

    # TODO: Set this to pinentry-curses on non-GUI systems.
    pinentryPackage = pkgs.pinentry-gtk2;

    # Don't ask for the password very often.
    defaultCacheTtl = 60480000;
    maxCacheTtl = defaultCacheTtl;
  };
}
